Package org.apache.sysds.hops.cost

# Class CostEstimationWrapper

java.lang.Object
org.apache.sysds.hops.cost.CostEstimationWrapper

public class CostEstimationWrapper extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`CostEstimationWrapper.CostType`

## Constructor Summary

Constructors
Constructor
Description
`CostEstimationWrapper()`

## Method Summary

Modifier and Type
Method
Description
`static double`
`getTimeEstimate(ProgramBlock pb, ExecutionContext ec, boolean recursive)`
`static double`
`getTimeEstimate(Program rtprog, ExecutionContext ec)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CostEstimationWrapper

public CostEstimationWrapper()

## Method Details

### getTimeEstimate

public static double getTimeEstimate(Program rtprog, ExecutionContext ec)

### getTimeEstimate

public static double getTimeEstimate(ProgramBlock pb, ExecutionContext ec, boolean recursive)